Class | SOAP::Mapping::DateTimeFactory_
In: | soap/mapping/factory.rb
Parent: | Factory

### Methods

new obj2soap soap2obj

### Public Class methods

new(allow_original_mapping = false)

[Source]

    # File soap/mapping/factory.rb, line 144
      def initialize(allow_original_mapping = false)
        super()
        @allow_original_mapping = allow_original_mapping
      end

### Public Instance methods

obj2soap(soap_class, obj, info, map)

[Source]

    # File soap/mapping/factory.rb, line 149
      def obj2soap(soap_class, obj, info, map)
        if !@allow_original_mapping and
            Time === obj and !obj.instance_variables.empty?
          return nil
        end
        soap_obj = nil
        begin
          soap_obj = soap_class.new(obj)
        rescue XSD::ValueSpaceError
          return nil
        end
        mark_marshalled_obj(obj, soap_obj)
        soap_obj
      end

soap2obj(obj_class, node, info, map)

[Source]

    # File soap/mapping/factory.rb, line 164
      def soap2obj(obj_class, node, info, map)
        if node.respond_to?(:to_obj)
          obj = node.to_obj(obj_class)
          return false if obj.nil?
          mark_unmarshalled_obj(node, obj)
          return true, obj
        else
          return false
        end
      end

[Validate]